<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.preset.ArgumentParserException (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.preset.ArgumentParserException (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/ArgumentParserException.html" target="_top">Frames</a></li>
<li><a href="ArgumentParserException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.preset.ArgumentParserException" class="title">Uses of Class<br>towerwarspp.preset.ArgumentParserException</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.preset">towerwarspp.preset</a></td>
<td class="colLast">
<div class="block">The preset package which implements all given presets.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.preset">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a> in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> that throw <a href="../../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#addFlag-java.lang.String-">addFlag</a></span>(java.lang.String&nbsp;flag)</code>
<div class="block">Fuege einen Schalter hinzu.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#addSetting-java.lang.String-java.lang.String-">addSetting</a></span>(java.lang.String&nbsp;key,
          java.lang.String&nbsp;value)</code>
<div class="block">Fuege eine Einstellung hinzu.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getBias--">getBias</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getBlue--">getBlue</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getDebugLevel--">getDebugLevel</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getDebugSource--">getDebugSource</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getDelay--">getDelay</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getFlag-java.lang.String-">getFlag</a></span>(java.lang.String&nbsp;flag)</code>
<div class="block">Gib den Wert eines Schalters zurueck.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getGameCount--">getGameCount</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getHost--">getHost</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getLoadName--">getLoadName</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getOfferedType--">getOfferedType</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main">OutputType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getOutputType--">getOutputType</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getParrallelFactor--">getParrallelFactor</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getPlayStrategy--">getPlayStrategy</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getPort--">getPort</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getRed--">getRed</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.Object</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getSetting-java.lang.String-">getSetting</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Gib den Wert einer Einstellung als <code>Object</code> zurueck.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getSize--">getSize</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getThinkingTime--">getThinkingTime</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getTimeOut--">getTimeOut</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#getTreeSelectionStrategy--">getTreeSelectionStrategy</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#isDebug--">isDebug</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#isFairplay--">isFairplay</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#isGraphic--">isGraphic</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#isHelp--">isHelp</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#isStatistic--">isStatistic</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#parseArgs-java.lang.String:A-">parseArgs</a></span>(java.lang.String[]&nbsp;args)</code>
<div class="block">Parse die Argumente.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#parseDebugLevel-java.lang.String-">parseDebugLevel</a></span>(java.lang.String&nbsp;level)</code>
<div class="block">Parse the <a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a> entered by the user for debugging purposes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#parseDebugSource-java.lang.String-">parseDebugSource</a></span>(java.lang.String&nbsp;source)</code>
<div class="block">Parse the <a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><code>DebugSource</code></a> entered by the user.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/main/OutputType.html" title="enum in towerwarspp.main">OutputType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#parseOutputType-java.lang.String-">parseOutputType</a></span>(java.lang.String&nbsp;type)</code>
<div class="block">Parse an OutputType.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#parsePlayerType-java.lang.String-">parsePlayerType</a></span>(java.lang.String&nbsp;type)</code>
<div class="block">Interpretiere einen Spielertypen</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#parsePlayStrategy-java.lang.String-">parsePlayStrategy</a></span>(java.lang.String&nbsp;strategy)</code>
<div class="block">Parse the <a href="../../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player"><code>PlayStrategy</code></a> entered by the user.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a></code></td>
<td class="colLast"><span class="typeNameLabel">ArgumentParser.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#parseTreeSelectionStrategy-java.lang.String-">parseTreeSelectionStrategy</a></span>(java.lang.String&nbsp;strategy)</code>
<div class="block">Parse the <a href="../../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a> entered by the user.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> that throw <a href="../../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">ArgumentParserException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/ArgumentParser.html#ArgumentParser-java.lang.String:A-">ArgumentParser</a></span>(java.lang.String[]&nbsp;args)</code>
<div class="block">Erzeuge einen neuen ArgumentParser aus einem String-Array mit
 Parametern.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/ArgumentParserException.html" target="_top">Frames</a></li>
<li><a href="ArgumentParserException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
